Quotas
All operations require authentication.
List quotas per zoneProduction
Path parameters
The internal name of your IP load balancing
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ quota \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a zone quotaProduction
Path parameters
The internal name of your IP load balancing
Zone of your quota
Response
Quota alert value in bytes. When reached, we will send you an alert. Default : included quota with your offer
Included quota value with your offer, in bytes
The last time your quota was updated from your Load Balancer instance
The last time your quota was resetted (billed)
Total used quota value in bytes
Zone of your quota
Example uses serviceName = string, zone = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ quota/ {zone} \
-H "authorization: Bearer $OVH_TOKEN"{ "alert": 0, "included": 0, "lastUpdateDate": "2024-01-01T12:00:00Z", "resetDate": "2024-01-01T12:00:00Z", "total": 0, "zone": "string"}
Update a zone quotaProduction
Path parameters
The internal name of your IP load balancing
Zone of your quota
Request body (required)
Quota alert value in bytes. When reached, we will send you an alert. Default : included quota with your offer
Included quota value with your offer, in bytes
The last time your quota was updated from your Load Balancer instance
The last time your quota was resetted (billed)
Total used quota value in bytes
Zone of your quota
Response
Example uses serviceName = string, zone = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ quota/ {zone} \
-H "authorization: Bearer $OVH_TOKEN"List quota history per monthProduction
Path parameters
The internal name of your IP load balancing
Query parameters
Filter the value of historizedDate property (>=)
Filter the value of historizedDate property (<=)
Filter the value of zone property (=)
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ quotaHistory \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a monthly quota historyProduction
Path parameters
Id of your quota
The internal name of your IP load balancing
Response
Historized date for this quota entry
Id of your quota
The last time your quota was updated from your Load Balancer instance
The last time your quota was resetted (billed)
Total used quota value in bytes
Zone of your quota
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName}/ quotaHistory/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "historizedDate": "2024-01-01", "id": 0, "lastUpdateDate": "2024-01-01T12:00:00Z", "resetDate": "2024-01-01T12:00:00Z", "total": 0, "zone": "string"}